org.bdgenomics.adam.cli

# TransformArgs

###
Related Doc: package cli

#### class TransformArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### var asSingleFile: Boolean

   Definition Classes
     TransformArgs → ADAMSaveAnyArgs

6. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

7. #### var cache: Boolean

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var coalesce: Int

10. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

11. #### var concatFilename: String

12. #### var deferMerging: Boolean

    Definition Classes
      TransformArgs → ADAMSaveAnyArgs

13. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

14. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### var fastqRecordGroup: String

18. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

19. #### var forceLoadBam: Boolean

20. #### var forceLoadFastq: Boolean

21. #### var forceLoadIFastq: Boolean

22. #### var forceLoadParquet: Boolean

23. #### var forceShuffle: Boolean

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### var inputPath: String

27. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

28. #### var knownIndelsFile: String

29. #### var knownSnpsFile: String

30. #### var limitProjection: Boolean

31. #### var locallyRealign: Boolean

32. #### var lodThreshold: Double

33. #### var logLevel: String

    Definition Classes
      ParquetArgs

34. #### var markDuplicates: Boolean

35. #### var maxConsensusNumber: Int

36. #### var maxIndelSize: Int

37. #### var maxTargetSize: Int

38. #### var mdTagsFragmentSize: Long

39. #### var mdTagsOverwrite: Boolean

40. #### var mdTagsReferenceFile: String

41. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

42. #### final def notify(): Unit

    Definition Classes
      AnyRef

43. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

44. #### var observationsPath: String

45. #### var outputPath: String

    Definition Classes
      TransformArgs → SaveArgs

46. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

47. #### var pairedFastqFile: String

48. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

49. #### var recalibrateBaseQualities: Boolean

50. #### var repartition: Int

51. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformArgs → ADAMSaveAnyArgs

52. #### var sortLexicographically: Boolean

53. #### var sortReads: Boolean

54. #### var storageLevel: String

55. #### var stringency: String

56. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

57. #### def toString(): String

    Definition Classes
      AnyRef → Any

58. #### var useAlignedReadPredicate: Boolean

59. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

61. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped